package com.ruoyi.ibs.grid.domain.dto;

import javax.validation.constraints.NotNull;

public class GridInfoDelete {

    /** 网格标签 */
    @NotNull(message = "网格标签不能为空")
    private String gridPattern;

    /** 网格id */
    @NotNull(message = "网格id不能为空")
    private Long gridId;

    /** 网格级别 */
    @NotNull(message = "网格级别不能为空")
    private String gridLevel;

    public String getGridPattern() {
        return gridPattern;
    }

    public void setGridPattern(String gridPattern) {
        this.gridPattern = gridPattern;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public String getGridLevel() {
        return gridLevel;
    }

    public void setGridLevel(String gridLevel) {
        this.gridLevel = gridLevel;
    }

    @Override
    public String toString() {
        return "GridInfoDelete{" +
                "gridPattern='" + gridPattern + '\'' +
                ", gridId='" + gridId + '\'' +
                ", gridLevel='" + gridLevel + '\'' +
                '}';
    }
}
